Push data into a user-provided Global Config
PUT
https://api.vercel.com/v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/global-configWhen the user enabled Global Config syncing, then this endpoint can be used by the partner to push their configuration data into the relevant Global Config.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.marketplace.replaceInstallationsByIntegrationConfigurationIdResourcesByResourceIdExperimentationGlobalConfig({ integrationConfigurationId: "<id>", resourceId: "<id>", });
console.log(result);}
run();Response
{ "digest": "string", "items": "value", "purpose": "experimentation", "updatedAt": "123"}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
409Error
410Error
412Error